Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class DateListProperty

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateListProperty

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExDate, RDate

    public abstract class DateListProperty

extends Property

Base class for properties with a list of dates as a value.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`DateListProperty(String name)`
`DateListProperty(String name, DateList dates)`
`DateListProperty(String name, ParameterList parameters)`
`DateListProperty(String name, ParameterList parameters, DateList dates)`

Method Summary
`DateList` | `getDates()`
`String` | `getValue()`
`void` | `setTimeZone(TimeZone timezone)` Sets the timezone associated with this property.
`void` | `setUtc(boolean utc)` Resets the timezone associated with the property.
`void` | `setValue(String aValue)` Sets the current value of the property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateListProperty

    public DateListProperty(String name)

Parameters:
  `name` -

### DateListProperty

    public DateListProperty(String name,
                            ParameterList parameters)

Parameters:
  `name` -
  `parameters` -

### DateListProperty

    public DateListProperty(String name,
                            DateList dates)

Parameters:
  `name` -
  `dates` -

### DateListProperty

    public DateListProperty(String name,
                            ParameterList parameters,
                            DateList dates)

Parameters:
  `name` -
  `dates` -

Method Detail

### getDates

    public final DateList getDates()

  Returns:
    Returns the dates.

### setValue

    public void setValue(String aValue)
                  throws ParseException

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value
  Throws:
    `ParseException` - possibly thrown by setting the value of certain properties

### getValue

    public String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

### setTimeZone

    public void setTimeZone(TimeZone timezone)

  Sets the timezone associated with this property.

  Parameters:
    `timezone` - a timezone to associate with this property

### setUtc

    public final void setUtc(boolean utc)

  Resets the timezone associated with the property. If utc is true, any TZID parameters are removed and the Java timezone is updated to UTC time. If utc is false, TZID parameters are removed and the Java timezone is set to the default timezone (i.e. represents a "floating" local time)

  Parameters:
    `utc` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.